# Generated from snappy_analytics-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name snappy_analytics

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Snappy Analytics integration for Ruby and Rails
License: MIT
URL: http://snappyanalytics.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Snappy is the fastest, easiest way to collect user behavior data and use it to
make better decisions for your business. Find out more at
http://snappyanalytics.com/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/snappy_analytics.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.1-1
- Initial package
